API Documentation

Get values for all custom fields set on task

Description

Returns all custom field values for a task.

Request format

curl https://kanbanflow.com/api/v1/tasks/<TASK_ID>/custom-fields

Example request

curl https://kanbanflow.com/api/v1/tasks/7HPu4D9Q/custom-fields

Example response

[
    {
        "customFieldId": "g3aB3m",
        "value": {
            "text": "London"
        }
    },
    {
        "customFieldId": "91yRUs",
        "value": {
            "number": 123.45
        }
    }
]

Response properties

PropertyTypeComment
customFieldIdStringThe ID of the custom field. See Get custom fields on the top level for details.
valueObjectThe value for the custom field on this task. For Text or Dropdown custom fields it has a single property "text". For Number it has a single property "number". Examples: { "text": "London" }, { "number": 123.45 }